<?xml version="1.0" encoding="UTF-8"?><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd"><html xmlns="http://www.w3.org/1999/xhtml" lang="en"><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8"/><link rel="stylesheet" href="../jacoco-resources/report.css" type="text/css"/><link rel="shortcut icon" href="../jacoco-resources/report.gif" type="image/gif"/><title>ServiceResponseStatus.java</title><link rel="stylesheet" href="../jacoco-resources/prettify.css" type="text/css"/><script type="text/javascript" src="../jacoco-resources/prettify.js"></script></head><body onload="window['PR_TAB_WIDTH']=4;prettyPrint()"><div class="breadcrumb" id="breadcrumb"><span class="info"><a href="../jacoco-sessions.html" class="el_session">Sessions</a></span><a href="../index.html" class="el_report">astrapay-otp</a> &gt; <a href="index.source.html" class="el_package">com.astrapay.otp.config</a> &gt; <span class="el_source">ServiceResponseStatus.java</span></div><h1>ServiceResponseStatus.java</h1><pre class="source lang-java linenums">package com.astrapay.otp.config;

import lombok.AllArgsConstructor;
import lombok.Getter;

<span class="nc" id="L6">@AllArgsConstructor</span>
@Getter
public enum ServiceResponseStatus {

    // Success Response
<span class="nc" id="L11">    SUCCESS_CREATE(&quot;CST001&quot;, &quot;Data Successfully Created&quot;),</span>
<span class="nc" id="L12">    SUCCESS_FETCH(&quot;CST002&quot;, &quot;Data Successfully Fetched&quot;),</span>
<span class="nc" id="L13">    SUCCESS_UPDATE(&quot;CST003&quot;, &quot;Data Successfully Updated&quot;),</span>
<span class="nc" id="L14">    SUCCESS_DELETE(&quot;CST004&quot;, &quot;Data Successfully Deleted&quot;),</span>

    //Success OTP
<span class="nc" id="L17">    SUCCESS_SEND_OTP(&quot;OTP001&quot;, &quot;Success request and send OTP&quot;),</span>
<span class="nc" id="L18">    SUCCESS_VALIDATE_OTP(&quot;OTP002&quot;, &quot;OTP Match &amp; Success&quot;),</span>

    //Failed OTP,
<span class="nc" id="L21">    FAIL_SEND_OTP(&quot;OTP901&quot;, &quot;Fail request and send OTP&quot;),</span>
<span class="nc" id="L22">    FAIL_TYPE_OTP(&quot;OTP902&quot;, &quot;Fail request OTP Becauese type OTP Not Found&quot;),</span>
<span class="nc" id="L23">    FAIL_VALIDATE_OTP(&quot;OTP903&quot;, &quot;OTP Dont Match / Doesnt Exist&quot;),</span>
<span class="nc" id="L24">    FAIL_EXPIRE_OTP(&quot;OTP904&quot;, &quot;OTP Expire&quot;),</span>
<span class="nc" id="L25">    FAIL_USED_OTP(&quot;OTP905&quot;, &quot;OTP Used&quot;),</span>
<span class="nc" id="L26">    FAIL_SEND_SMS(&quot;OTP906&quot;, &quot;Fail request and send SMS&quot;),</span>


    // Failed Response
<span class="nc" id="L30">    FAIL_CREATE(&quot;CST901&quot;, &quot;Failed to Create data&quot;),</span>
<span class="nc" id="L31">    FAIL_FETCH(&quot;CST902&quot;, &quot;Failed to Fetch data&quot;),</span>
<span class="nc" id="L32">    FAIL_UPDATE(&quot;CST903&quot;, &quot;Failed to Update data&quot;),</span>
<span class="nc" id="L33">    FAIL_DELETE(&quot;CST904&quot;, &quot;Failed to Delete data&quot;),</span>
<span class="nc" id="L34">    FAIL_EXIST(&quot;CST905&quot;, &quot;Data already exist&quot;),</span>
<span class="nc" id="L35">    FAIL_PARSING(&quot;CST906&quot;, &quot;Failed Parsing&quot;);</span>

<span class="nc" id="L37">    String code;</span>
<span class="nc" id="L38">    String message;</span>
    }
</pre><div class="footer"><span class="right">Created with <a href="http://www.jacoco.org/jacoco">JaCoCo</a> 0.8.5.201910111838</span></div></body></html>